Description: Avoid test that fails randomly based on random seed.
 See https://github.com/pydata/xarray/issues/6504
Bug-Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1013939
Author: Alastair McKinstry <mckinstry@debian.org>
Last-Updated: 2022-080-23
Forwarded: no

--- a/xarray/tests/test_weighted.py
+++ b/xarray/tests/test_weighted.py
@@ -653,7 +653,7 @@
 
     assert_allclose(expected, result2.data)
 
-
+@pytest.mark.xfail
 def test_weighted_operations_nonequal_coords():
     # There are no weights for a == 4, so that data point is ignored.
     weights = DataArray(np.random.randn(4), dims=("a",), coords=dict(a=[0, 1, 2, 3]))
